<?php

require_once("../Sql/Dotazy/dotazy.php");
require_once("../Email/email.php");
require_once("../Sql/Pripojeni/databaze.php");

$registrace = new Dotazy();
$email = new OdesliEmail();

class Registrace{

    public function __construct($jmeno, $heslo, $heslo_znovu, $email, $spam){
    
        $this->jmeno = $jmeno;
        $this->heslo = $heslo;
        $this->email = $email;
        $this->heslo_znovu = $heslo_znovu;
        $this->spam = $spam;        
       
    }
    
    public function registruj(){
    
        global $registrace;
        global $email;
        global $db;
        
        $hlaska = "";
        
        if($_POST){
            if(isset($this->jmeno) && $this->jmeno && isset($this->heslo) && $this->heslo && isset($this->heslo_znovu) && $this->heslo_znovu && isset($this->spam) && $this->spam && isset($this->email) && $this->email) {
                $pocetZnakuVHesle = mb_strlen($this->heslo);
                if($this->spam != date("Y")){
                    $hlaska = 'Neprosli jste spam kontrolou! Zkuste to prosim znovu!';
                }
                else if($this->heslo != $this->heslo_znovu){
                    $hlaska = 'Hesla nesouhlasi!';
                }
                else if ($pocetZnakuVHesle < 8){
                    $hlaska = "Heslo je kratsi nez 8 znaku!";
                }
                else {
                    
                    $registrace->kontrolaJmenaDotaz($this->jmeno);
                    
                    if($registrace->jmenoExistuje["COUNT(*)"] != 0){
                        $hlaska = "Toto jmeno jiz existuje! Zvolte si prosim jine!";
                    }
                    else{
                    
                        $registrace->kontrolaEmailuDotaz($this->email);
                        
                        if($registrace->emailExistuje["COUNT(*)"] != 0){
                            $hlaska = "Tento email jiz pouziva jiny uzivatel! Zadej prosim jiny!";
                        }
                        else{
                            
                            $aktivaceKod = md5(md5(date("YmdHis")));
                            $aktivaceKod = substr($aktivaceKod, 2, 10);
                            $this->aktivaceKod = $aktivaceKod;
                            
                            $registrace->registraceDotaz($this->jmeno, $this->heslo, $this->email, $this->aktivaceKod);
                            
                            $email->registraceEmail($this->jmeno, $this->email, $this->aktivaceKod);
                            $_SESSION['uzivatel_id'] = $db->lastInsertId();
                            $_SESSION['uzivatel_jmeno'] = $this->jmeno;
            
                            header('Location: ../Podstranky/Aktivace.php');
            
                            exit();
                            
                        }
                    
                    }
                        
                }
            }
        
            else{
                $hlaska = "Nebyly vyplneny vsechny udaje";
            }
        echo $hlaska;
        }
        
    }
}

?>